## krita 5.0.0+dfsg

=== debian/changelog ===
krita (1:5.0.0+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies.
  * Add extra desktop launcher so g'mic will work in XFCE.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Dec 2021 11:15:02 -0800

krita (1:5.0.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to the stable releases.
  * Explicitly add the libqt5sql5-sqlite dependency, needed to make the internal
    resources working.

 -- Pino Toscano <pino@debian.org>  Thu, 23 Dec 2021 15:07:24 +0100

krita (1:5.0.0~beta5+dfsg-1) experimental; urgency=medium

  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 22:01:32 +0100

krita (1:5.0.0~beta3+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Merge changes from 1:4.4.8+dfsg-1.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 07:57:36 +0100

krita (1:5.0.0~beta1+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta in the version.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump libheif-dev to 1.10.0
    - bump libopencolorio-dev to 1.1.1
    - add libmypaint-dev
  * Pass -DENABLE_UPDATERS=OFF to cmake to disable the own version
    checker/updater, which is generally not a good idea in a distribution build.
  * Do not ship the development headers.
  * Do not ship the testing x-test "translations".

 -- Pino Toscano <pino@debian.org>  Fri, 20 Aug 2021 23:16:09 +0200

=== debian/control ===
Source: krita
Section: kde
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.22.0),
               gettext,
               libboost-system-dev (>= 1.55~),
               libeigen3-dev,
               libexiv2-dev (>= 0.16~),
               libfftw3-dev,
               libgif-dev,
               libgsl-dev,
               libheif-dev (>= 1.10.0~),
               libjpeg-dev,
               libkf5completion-dev (>= 5.44.0),
               libkf5config-dev (>= 5.44.0),
               libkf5coreaddons-dev (>= 5.44.0),
               libkf5crash-dev (>= 5.44.0),
               libkf5guiaddons-dev (>= 5.44.0),
               libkf5i18n-dev (>= 5.44.0),
               libkf5itemmodels-dev (>= 5.44.0),
               libkf5itemviews-dev (>= 5.44.0),
               libkf5widgetsaddons-dev (>= 5.44.0),
               libkf5windowsystem-dev (>= 5.44.0),
               liblcms2-dev (>= 2.4~),
               libmypaint-dev (>= 1.4.0~),
               libopencolorio-dev (>= 1.1.1~),
               libopenexr-dev,
               libopenjp2-7-dev (>= 2.3.0~),
               libpng-dev,
               libpoppler-qt5-dev,
               libqt5opengl5-desktop-dev,
               libqt5svg5-dev (>= 5.9.0),
               libqt5x11extras5-dev (>= 5.9.0),
               libquazip5-dev (>= 0.6~),
               libraw-dev (>= 0.16~),
               libtiff-dev,
               libxcb-util0-dev,
               libxcb1-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               pyqt5-dev,
               python3-dev,
               python3-pyqt5,
               python3-sip-dev,
               qtbase5-dev (>= 5.9.0),
               qtdeclarative5-dev (>= 5.9.0),
               qtmultimedia5-dev (>= 5.9.0),
               qttools5-dev-tools (>= 5.9.0),
               vc-dev [any-i386 any-amd64],
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://krita.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/krita.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/krita

Package: krita
Architecture: any
Section: graphics
Depends: krita-data (>= ${source:Version}),
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends},
         krita-gmic, python3-pyqt5, python3-sip, qml-module-qtmultimedia
Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
Built-Using: ${vc:Built-Using}
Description: pixel-based image manipulation program
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos or scanned images, or start with a blank slate. Krita supports most
 graphics tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 others offering sophisticated simulation of real brushes, and others again
 offering color mixing and image deformations. Moreover, Krita has full
 support for graphics tablets, including such features as pressure, tilt and
 rate, making it a great choice for artists. There are easy to use tools for
 drawing lines, ellipses and rectangles, and the freehand tool is supported by
 pluggable "drawing assistants" that help you draw shapes that still have a
 freehand feeling to them.

Package: krita-data
Architecture: all
Section: graphics
Depends: ${misc:Depends}
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita.
 .
 See the krita package for further information.

Package: krita-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: translations for Krita painting program
 This package contains the translations for Krita, the painting program.
 .
 See the krita package for further information.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),amd64 i386))
  VC_DEV_VERSION = $(shell dpkg-query -Wf '$${source:Package} (= $${source:Version})' vc-dev)
else
  VC_DEV_VERSION =
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove development headers
	rm -rfv debian/tmp/usr/include/
	# remove the testing x-test "translations"
	rm -rfv debian/tmp/usr/share/locale/x-test/

override_dh_gencontrol:
	dh_gencontrol -pkrita -- -Vvc:Built-Using='$(VC_DEV_VERSION)'
	dh_gencontrol --remaining-packages

.PHONY: override_dh_auto_test

## krita 5.0.2%2Bdfsg

=== libs/libqml/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

include_directories(SYSTEM
    ${EIGEN3_INCLUDE_DIR}
)

add_subdirectory(plugins)

set(kritaqml_SRCS
    DocumentManager.cpp
    DocumentListModel.cpp
    KisSelectionExtras.cpp
    RecentFileManager.cpp
    ProgressProxy.cpp
    PropertyContainer.cpp
    Settings.cpp
    VirtualKeyboardController.cpp
    Theme.cpp
    QmlGlobalEngine.cpp
    KisSketchView.cpp
)

qt5_add_resources(kritaqml_SRCS qml/qml.qrc)

add_library(kritaqml SHARED ${kritaqml_SRCS})
generate_export_header(kritaqml BASE_NAME krita_sketch)
set_target_properties(kritaqml
    PROPERTIES VERSION ${GENERIC_KRITA_LIB_VERSION} SOVERSION ${GENERIC_KRITA_LIB_SOVERSION}
)

target_link_libraries(kritaqml
    Qt5::Quick
    Qt5::Gui
    Qt5::Core
    kritawidgets
    kritaui
)

include(GNUInstallDirs)
install(TARGETS kritaqml ${INSTALL_TARGETS_DEFAULT_ARGS})
install(DIRECTORY qmlthemes DESTINATION ${DATA_INSTALL_DIR}/krita)

=== krita/data/themes/CMakeLists.txt ===
########### install files ###############

if (FOUNDATION_BUILD)
    install(FILES
        BreezeDark.colors
        BreezeHighContrast.colors
        BreezeLight.colors
         ${schemefiles} DESTINATION ${DATA_INSTALL_DIR}/color-schemes
)
endif()

install(FILES
KritaNeutral.colors
KritaBlender.colors
KritaBright.colors
KritaDark.colors
KritaDarker.colors
 ${schemefiles} DESTINATION ${DATA_INSTALL_DIR}/color-schemes
)

=== libs/ui/tests/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs/image/metadata
                    ${CMAKE_SOURCE_DIR}/sdk/tests )

include(ECMAddTests)

macro_add_unittest_definitions()

include(KritaAddBrokenUnitTest)

if (APPLE)
    ecm_add_tests(
        kis_grid_config_test.cpp
        kis_stabilized_events_sampler_test.cpp
        kis_brush_hud_properties_config_test.cpp
        KisFrameSerializerTest.cpp
        KisRssReaderTest.cpp

        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        TARGET_NAMES_VAR OK_TESTS
        ${MACOS_GUI_TEST})


    ecm_add_test( KisMultiFeedRssModelTest.cpp ../../../sdk/tests/testutil.cpp MockNetworkAccessManager.cpp
        TEST_NAME KisMultiFeedRssModelTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    ecm_add_test( kis_node_dummies_graph_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeDummiesGraphTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    ecm_add_test( kis_node_shapes_graph_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeShapesGraphTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    ecm_add_test( kis_categorized_list_model_test.cpp modeltest.cpp
        TEST_NAME KisCategorizedListModelTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    ecm_add_test(
        kis_input_manager_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisInputManagerTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})


    ##### Tests that currently fail and should be fixed #####

    # Broken unit test.app can be run if installed
    if (ENABLE_UPDATERS)
    if (UNIX)
        krita_add_broken_unit_test( KisAppimageUpdaterTest.cpp
            TEST_NAME KisAppimageUpdaterTest
            LINK_LIBRARIES kritaui Qt5::Test
            NAME_PREFIX "libs-ui-"
            ${MACOS_GUI_TEST})
    endif()

    krita_add_broken_unit_test( KisManualUpdaterTest.cpp ../../../sdk/tests/testutil.cpp MockMultiFeedRssModel.cpp
        TEST_NAME KisManualUpdaterTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})
    endif()

    krita_add_broken_unit_test( kis_selection_decoration_test.cpp ../../../sdk/tests/stroke_testing_utils.cpp
        TEST_NAME KisSelectionDecorationTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_model_index_converter_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisModelIndexConverterTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_node_juggler_compressed_test.cpp  ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeJugglerCompressedTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test(
        kis_node_model_test.cpp modeltest.cpp
        TEST_NAME kis_node_model_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_shape_controller_test.cpp kis_dummies_facade_base_test.cpp
        TEST_NAME kis_shape_controller_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_dummies_facade_test.cpp kis_dummies_facade_base_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME kis_dummies_facade_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})


    krita_add_broken_unit_tests(
        kis_image_view_converter_test.cpp
        kis_shape_selection_test.cpp
        kis_doc2_test.cpp
        kis_coordinates_converter_test.cpp
        kis_shape_commands_test.cpp
        kis_stop_gradient_editor_test.cpp
        kis_file_layer_test.cpp
        kis_multinode_property_test.cpp
        KisFrameCacheStoreTest.cpp
        kis_animation_exporter_test.cpp
        kis_prescaled_projection_test.cpp
        kis_animation_importer_test.cpp
        KisSpinBoxSplineUnitConverterTest.cpp
        KisDocumentReplaceTest.cpp
        kis_derived_resources_test.cpp
        kis_animation_frame_cache_test.cpp
        kis_shape_layer_test.cpp
        kis_clipboard_test.cpp
        kis_selection_manager_test.cpp
        kis_node_manager_test.cpp
        kis_action_manager_test.cpp

        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        TARGET_NAMES_VAR BROKEN_TESTS
        ${MACOS_GUI_TEST})

    macos_test_fixrpath(
        ${OK_TESTS}
        KisMultiFeedRssModelTest
        KisNodeDummiesGraphTest
        KisNodeShapesGraphTest
        KisCategorizedListModelTest
        KisInputManagerTest
        ${BROKEN_TESTS}
        KisAppimageUpdaterTest
        KisManualUpdaterTest
        KisSelectionDecorationTest
        KisModelIndexConverterTest
        KisNodeJugglerCompressedTest
        kis_node_model_test
        kis_shape_controller_test
        kis_dummies_facade_test
        )


else (APPLE)
    ecm_add_tests(
        kis_image_view_converter_test.cpp
        kis_shape_selection_test.cpp
        kis_doc2_test.cpp
        kis_coordinates_converter_test.cpp
        kis_grid_config_test.cpp
        kis_stabilized_events_sampler_test.cpp
        kis_brush_hud_properties_config_test.cpp
        kis_shape_commands_test.cpp
        kis_stop_gradient_editor_test.cpp
        kis_file_layer_test.cpp
        kis_multinode_property_test.cpp
        KisFrameSerializerTest.cpp
        KisFrameCacheStoreTest.cpp
        kis_animation_exporter_test.cpp
        kis_prescaled_projection_test.cpp
        kis_animation_importer_test.cpp
        KisSpinBoxSplineUnitConverterTest.cpp
        KisDocumentReplaceTest.cpp
        KisRssReaderTest.cpp
        kis_derived_resources_test.cpp
        kis_animation_frame_cache_test.cpp
        kis_shape_layer_test.cpp

        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    if (ENABLE_UPDATERS)
    if (UNIX)
        ecm_add_test( KisAppimageUpdaterTest.cpp
            TEST_NAME KisAppimageUpdaterTest
            LINK_LIBRARIES kritaui Qt5::Test
            NAME_PREFIX "libs-ui-")
    endif()

    ecm_add_test( KisManualUpdaterTest.cpp ../../../sdk/tests/testutil.cpp MockMultiFeedRssModel.cpp
        TEST_NAME KisManualUpdaterTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")
    endif()


    ecm_add_test( KisMultiFeedRssModelTest.cpp ../../../sdk/tests/testutil.cpp MockNetworkAccessManager.cpp
        TEST_NAME KisMultiFeedRssModelTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")


    ecm_add_test( kis_selection_decoration_test.cpp ../../../sdk/tests/stroke_testing_utils.cpp
        TEST_NAME KisSelectionDecorationTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_node_dummies_graph_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeDummiesGraphTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_node_shapes_graph_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeShapesGraphTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_model_index_converter_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisModelIndexConverterTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")


    ecm_add_test( kis_categorized_list_model_test.cpp modeltest.cpp
        TEST_NAME KisCategorizedListModelTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_node_juggler_compressed_test.cpp  ../../../sdk/tests/testutil.cpp
        TEST_NAME KisNodeJugglerCompressedTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test(
        kis_input_manager_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisInputManagerTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test(
        kis_node_model_test.cpp modeltest.cpp
        TEST_NAME kis_node_model_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_shape_controller_test.cpp kis_dummies_facade_base_test.cpp
        TEST_NAME kis_shape_controller_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

    ecm_add_test( kis_dummies_facade_test.cpp kis_dummies_facade_base_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME kis_dummies_facade_test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-")

endif()

    ##### Tests that currently fail and should be fixed #####

    # Works under Linux but does not work under Windows
    krita_add_broken_unit_test(
        kis_painting_assistants_decoration_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisPaintingAssistantsDecorationTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})


    krita_add_broken_unit_test( kis_exiv2_test.cpp
        TEST_NAME KisExiv2Test
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_clipboard_test.cpp
        TEST_NAME KisClipboardTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( freehand_stroke_test.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
        TEST_NAME FreehandStrokeTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( FreehandStrokeBenchmark.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
        TEST_NAME FreehandStrokeBenchmark
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( KisPaintOnTransparencyMaskTest.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
        TEST_NAME KisPaintOnTransparencyMaskTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( fill_processing_visitor_test.cpp ${CMAKE_SOURCE_DIR}/sdk/tests/stroke_testing_utils.cpp
        TEST_NAME FillProcessingVisitorTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( filter_stroke_test.cpp ../../../sdk/tests/stroke_testing_utils.cpp
        TEST_NAME FilterStrokeTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_selection_manager_test.cpp
        TEST_NAME KisSelectionManagerTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})
    #set_tests_properties(libs-ui-KisSelectionManagerTest PROPERTIES TIMEOUT 300)

    krita_add_broken_unit_test( kis_node_manager_test.cpp
        TEST_NAME KisNodeManagerTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

    krita_add_broken_unit_test( kis_zoom_and_pan_test.cpp ../../../sdk/tests/testutil.cpp
        TEST_NAME KisZoomAndPanTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})
    #set_tests_properties(libs-ui-KisZoomAndPanTest PROPERTIES TIMEOUT 300)

    krita_add_broken_unit_test( kis_action_manager_test.cpp
        TEST_NAME KisActionManagerTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "libs-ui-"
        ${MACOS_GUI_TEST})

=== libs/widgetutils/tests/CMakeLists.txt ===
macro_add_unittest_definitions()

include_directories (
    ${CMAKE_SOURCE_DIR}/libs/widgetutils
    ${CMAKE_SOURCE_DIR}/sdk/tests
)

include(ECMAddTests)

if (APPLE)
    include(KritaAddBrokenUnitTest)

    krita_add_broken_unit_tests(
        KisActionsSnapshotTest.cpp
        NAME_PREFIX "libs-widgetutils-"
        LINK_LIBRARIES kritawidgetutils kritaimage Qt5::Test
        TARGET_NAMES_VAR BROKEN_TESTS
        ${MACOS_GUI_TEST})

    macos_test_fixrpath(${BROKEN_TESTS})


else (APPLE)
    ecm_add_test(
        KisActionsSnapshotTest.cpp
        NAME_PREFIX "libs-widgetutils-"
        LINK_LIBRARIES kritawidgetutils kritaimage Qt5::Test
    )

endif()

ecm_add_tests(
    KoPropertiesTest.cpp
    kis_simple_math_parser_test.cpp # FIXME this test should be in the ui directory
    TestKoProgressUpdater.cpp
    TestSqueezedComboBox.cpp
    kis_parse_spin_boxes_test.cpp
    NAME_PREFIX "libs-widgetutils-"
    LINK_LIBRARIES kritawidgetutils kritaimage Qt5::Test
    TARGET_NAMES_VAR OK_TESTS
    ${MACOS_GUI_TEST}
)

ki18n_wrap_ui(DialogStateSaver_SRCS
    dialogsavertestwidget.ui
)

ecm_add_test(
    KisDialogStateSaverTest.cpp
    ${DialogStateSaver_SRCS}
    TEST_NAME KisDialogStateSaverTest
    LINK_LIBRARIES kritawidgetutils Qt5::Test KF5::ConfigCore
    NAME_PREFIX "libs-widgetutils-"
    ${MACOS_GUI_TEST})


macos_test_fixrpath(${OK_TESTS} KisDialogStateSaverTest)

=== plugins/impex/kra/CMakeLists.txt ===
set(kritakraimport_SOURCES
    kra_import.cpp
)

add_library(kritakraimport MODULE ${kritakraimport_SOURCES})

target_link_libraries(kritakraimport kritaui kritalibkra)

install(TARGETS kritakraimport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

set(kritakraexport_SOURCES
    kra_export.cpp
)

add_library(kritakraexport MODULE ${kritakraexport_SOURCES})

target_link_libraries(kritakraexport kritaui kritalibkra kritaimpex)

install(TARGETS kritakraexport  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})

install( PROGRAMS  krita_kra.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

if(SHOULD_BUILD_FILEMANAGER_THUMBNAIL)
    install( FILES  krita_kra_thumbnail.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
endif()

=== plugins/paintops/spray/CMakeLists.txt ===
set(kritaspraypaintop_SOURCES
    spray_paintop_plugin.cpp
    kis_spray_paintop.cpp
    kis_sprayop_option.cpp
    kis_spray_shape_dynamics.cpp
    kis_spray_shape_option.cpp
    kis_spray_paintop_settings.cpp
    kis_spray_paintop_settings_widget.cpp
    spray_brush.cpp
    )

ki18n_wrap_ui(kritaspraypaintop_SOURCES wdgsprayoptions.ui wdgsprayshapeoptions.ui wdgshapedynamicsoptions.ui )

add_library(kritaspraypaintop MODULE ${kritaspraypaintop_SOURCES})

target_link_libraries(kritaspraypaintop kritalibpaintop)

install(TARGETS kritaspraypaintop  DESTINATION ${KRITA_PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES
    krita-spray.png DESTINATION ${DATA_INSTALL_DIR}/krita/images)

=== plugins/impex/heif/tests/CMakeLists.txt ===
include_directories(     ${CMAKE_SOURCE_DIR}/sdk/tests )

include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

if (APPLE)

    krita_add_broken_unit_tests(
        KisHeifTest.cpp

        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "plugins-impex-"
        TARGET_NAMES_VAR BROKEN_TESTS
        ${MACOS_GUI_TEST}
    )

    macos_test_fixrpath(${BROKEN_TESTS})

else (APPLE)
    ecm_add_test(
        KisHeifTest.cpp
        TEST_NAME KisHeifTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "plugins-impex-"
    )

endif()

=== plugins/impex/libkra/tests/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/sdk/tests )

include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

if (APPLE)

    krita_add_broken_unit_tests(
        kis_kra_loader_test.cpp
        kis_kra_saver_test.cpp
        LINK_LIBRARIES kritaui kritalibkra Qt5::Test
        NAME_PREFIX "plugins-impex-"
        TARGET_NAMES_VAR BROKEN_TESTS
        ${MACOS_GUI_TEST}
    )

    macos_test_fixrpath(${BROKEN_TESTS})

else (APPLE)
    ecm_add_tests(
        kis_kra_loader_test.cpp
        kis_kra_saver_test.cpp
        LINK_LIBRARIES kritaui kritalibkra Qt5::Test
        NAME_PREFIX "plugins-impex-"
        )

endif()

=== plugins/impex/tga/tests/CMakeLists.txt ===
include_directories(     ${CMAKE_SOURCE_DIR}/sdk/tests )

include(KritaAddBrokenUnitTest)

macro_add_unittest_definitions()

if (APPLE)

    krita_add_broken_unit_tests(
        KisTgaTest.cpp

        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "plugins-impex-"
        TARGET_NAMES_VAR BROKEN_TESTS
        ${MACOS_GUI_TEST}
    )

    macos_test_fixrpath(${BROKEN_TESTS})

else (APPLE)
    ecm_add_test(
        KisTgaTest.cpp
        TEST_NAME KisTgaTest
        LINK_LIBRARIES kritaui Qt5::Test
        NAME_PREFIX "plugins-impex-"
        )

endif()

=== plugins/paintops/mypaint/tests/CMakeLists.txt ===
########### next target ###############
include_directories( ${CMAKE_SOURCE_DIR}/..    ${CMAKE_SOURCE_DIR}/sdk/tests )
include_directories(${LIBMYPAINT_INCLUDE_DIR})
link_directories(${LIBMYPAINT_LIBRARIES})

macro_add_unittest_definitions()

include(KritaAddBrokenUnitTest)


if (APPLE)

    krita_add_broken_unit_test (
        kis_mypaintop_test.cpp ../MyPaintPaintOpSettings.cpp ../MyPaintPaintOpPreset.cpp ../MyPaintSurface.cpp
        TEST_NAME KisMyPaintOpTest
        NAME_PREFIX "plugins-kismypaintop-"
        LINK_LIBRARIES kritaimage kritamypaintop kritalibpaintop mypaint Qt5::Test
        ${MACOS_GUI_TEST}
        )

    macos_test_fixrpath(KisMyPaintOpTest)

else (APPLE)
    ecm_add_test(
        kis_mypaintop_test.cpp ../MyPaintPaintOpSettings.cpp ../MyPaintPaintOpPreset.cpp ../MyPaintSurface.cpp
        TEST_NAME KisMyPaintOpTest
        NAME_PREFIX "plugins-kismypaintop-"
        LINK_LIBRARIES kritaimage kritamypaintop kritalibpaintop mypaint Qt5::Test
        )

endif()
